$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ToolsDir = Split-Path -parent $MyInvocation.MyCommand.Definition

$PackageArgs = @{
  PackageName   = $PackageName
  FileType      = 'exe'
  File64        = Get-Item $(Join-Path $ToolsDir "Nyrna-Windows-Installer.exe")

  SoftwareName  = 'nyrna*'

  Checksum      = "99b87d8af2b59ce3ea73f9e028f6c9933bda8c837a139a5c0a32e2482091461ec3db3bb6be53c8dc5aa042ebbb92628a4c6aabde9f8e91b704a21a8c8d116414"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0, 1223)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Remove-Item $(Get-Item $(Join-Path $ToolsDir "Nyrna-Windows-Installer.exe"))

Write-Host "$PackageName registered as $App"